Subject: Re: Newbie bash user problem--interactive bash will not run my scripts!
From: Jason Tishler <[email-masked]>
To: "Michael L. Creech" <[email-masked]>
Cc: [email-masked]
Date: Thu, 31 Aug 2000 09:24:21 -0400

Michael,

On Wed, Aug 30, 2000 at 02:20:27PM -0700, Michael L. Creech wrote:
>    /cygdrive/c/Work/gc/distrib 151%>build-dist.sh
>    BASH.EXE: ./build-dist.sh: No such file or directory
>    /cygdrive/c/Work/gc/distrib 152%>bash build-dist.sh
>    <script is executed and works fine!>
> 
> What am I missing??

At first I thought that your PATH did not include the current directory,
but I could not reproduce your problem by removing the current directory
from my PATH.

The following is a WAG...  What is the contents of the first line of
your script?  Does it point to a nonexistent shell on your system
(possibly /bin/sh)?

I can duplicate your problem with the following shell script:

--- begin a j.sh ---
#!/bin/sh2
echo hello
--- end a j.sh ---

    $ j.sh
    bash: ./j.sh: No such file or directory
    $ bash j.sh 
    hello

If I happen to be correct, then either change "#!/bin/sh" to
"#!/bin/bash" in your script or install /bin/sh (ie, ash).

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]